#!/bin/bash

set -e

image="$1"
id="$2"
tag="$3"

if [ "x${tag}" = "x${RELEASE_TAG}" ]; then
    echo "Error: Can't remove current image"
    exit 1
elif [ "x${tag}" = 'x<none>' ]; then
    docker rmi -f "${id}"
else
    docker rmi -f "${image}:${tag}"
fi

docker image prune -f || :
