#!/bin/bash

set -e

service="$1"
image="$2"
id="$3"
tag="$4"

configs="-f /var/lib/rct/cache/docker-compose.yml"
if [ -f "/var/lib/rct/cache/docker-compose.${RELEASE_TAG}.yml" ]; then
    configs="$configs -f /var/lib/rct/cache/docker-compose.${RELEASE_TAG}.yml"
fi

docker tag "$id" "$image:${RELEASE_TAG}"
docker-compose $configs stop "$service"
docker-compose $configs rm -f "$service"
docker-compose $configs up -d "$service"
