#!/bin/bash

set -e

service="$1"
enabled="$2"

if [ -z "$service" ]; then
    echo "Error: Empty service name given"
    exit 1
fi

if [ "x$enabled" = "xtrue" ]; then
    systemctl enable "$service" || :
    systemctl start "$service"
else
    systemctl stop "$service"
    systemctl disable "$service" || :
fi
