#!/bin/bash

set -e

# This parameter is optional
service="$1"

configs="-f /var/lib/rct/cache/docker-compose.yml"
if [ -f "/var/lib/rct/cache/docker-compose.${RELEASE_TAG}.yml" ]; then
    configs="$configs -f /var/lib/rct/cache/docker-compose.${RELEASE_TAG}.yml"
fi

if [ -z "$service" ]; then
    docker-compose $configs start
else
    docker-compose $configs start "$service"
fi
